Package Details: devil-ilut 1.7.8-3

Git Clone URL: https://aur.archlinux.org/devil-ilut.git (read-only)
Package Base: devil-ilut
Description: Library for reading several different image formats (includes ILUT)
Upstream URL: http://openil.sourceforge.net/
Licenses: GPL
Conflicts: devil
Provides: devil
Submitter: None
Maintainer: None
Last Packager: bunder
Votes: 8
Popularity: 0.000000
First Submitted: 2012-04-07 20:35
Last Updated: 2015-07-24 05:47

Dependencies (5)

Required by (12)

Sources (3)

Latest Comments

1 2 Next › Last »

luspi commented on 2018-03-12 18:10

Here's an updated PKGBUILD: https://pastebin.com/byR0hhGw

z33ky commented on 2016-05-14 18:27

What's the reason for all the additional --{dis,en}ables? I'd need OpenGL support from ILUT for Quake II xp.

Also you could do a `sed -i 's/png12/png/g' configure m4/devil-definitions.m4` to make it link against libpng.so, even if libpng12 is installed.

lubosz commented on 2015-07-14 12:20

https://gist.github.com/lubosz/70cfe180cb5e2a553ce6

Fixes:

In file included from ./../src-IL/src/il_alloc.c:26:0:
./../src-IL/include/il_internal.h:230:1: error: invalid use of ‘restrict’
ILboolean ilIsValidBmp(CONST_RESTRICT ILconst_string FileName);

Krux02 commented on 2015-05-01 21:55

ok I found out more, if you have libpng12 installed during the configure, it will find and prefer the old version over the newer one, but it can't link with the old version, because of the undefined reference.

Krux02 commented on 2015-05-01 16:24

does not build here is the compile output
http://pastebin.com/7JdJzzSx

NebuPookins commented on 2013-12-31 15:18

I fifth the request: Please add the conflict and provide

RazZziel commented on 2012-10-25 05:57

missing dependency for love-hg : devil

But the game seems to run well. This package should provide "devil".

derhamster commented on 2012-09-16 08:13

@densprit: You probable have libpng12 installed. See gtmanfreds comment.

denspirit commented on 2012-09-15 19:06

libtool: link: gcc -march=i686 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z -Wl,relro -o .libs/ilur ilur.o ../lib/.libs/libILU.so /tmp/yaourt-tmp-denspirit/aur-devil-ilut/src/devil-1.7.8/lib/.libs/libIL.so -ltiff -lpng12 -lmng -llcms -ljasper -ljpeg -lIlmImf -lImath -lHalf -lIex -lIlmThread -lm -lz -pthread
/tmp/yaourt-tmp-username/aur-devil-ilut/src/devil-1.7.8/lib/.libs/libIL.so: undefined reference to `png_set_longjmp_fn'
collect2: error: ld returned 1 exit status
make[1]: *** [ilur] Error 1
make[1]: Leaving directory `/tmp/yaourt-tmp-username/aur-devil-ilut/src/devil-1.7.8/bin'
make: *** [all-recursive] Error 1

derhamster commented on 2012-09-15 11:40

I forth that! Please update the package
Here is an updated PKGBUILD: https://gist.github.com/3727436